Prerequisites

In order to use Fable you will need the following tools:

  • .NET Core SDK to work with F# files and dependencies
  • Node.js to execute JS code
  • A JS package manager, like npm (which comes with Node) or yarn

Development tools

Basically you will need an editor that lets you code in F# with features like hints on hover, autocomplete, syntax highlighting and so on... and there are many of them to suit your code styling!

Next step

> Start your project